/* ==UserStyle==
@name			Discord.com - Collapsable Message Bar Buttons.user.css
@namespace		github.com/openstyles/stylus
@version		1.9.4
@description	Makes the message bar buttons hide unless hovered over, making the message bar cleaner overall, especially when using plugins which add content to this section.
@author			neo.nyaa (https://discord.com/users/427114049487241227)
@homepageURL	https://gitlab.com/___Neopolitan/CSS-Tweaks
==/UserStyle== */

@-moz-document domain("discord.com") {
	/* Create an element which indicates there are more buttons that can be shown when hovered over */
	[class^="textArea"] + [class^="buttons"]:before {
		content: "⏴";
		transform: matrix(1.2, 0, 0, 1, 0, 0) translateX(17px);
		color: var(--interactive-normal);
		display: flex;
		align-items: center;
		font-size: 24px;
		padding: 0 14px 0 6px;
		user-select: none;
		transition: .5s ease-in-out;
		width: 44px;
	}

	/* Make the indicator smoothly appear and disappear when hovering over it */
	[class^="textArea"] + [class^="buttons"]:hover:before {
		color: transparent;
		width: 0;
		padding: 0;
	}

	/* Sets the width of the buttons parent to 44px and gives it some transition animation */
	[class^="textArea"] + [class^="buttons"] {
		width: 44px;
		transition: .5s ease-in-out;
		max-width: min-content;
		bottom: 0;
		right: 0;
		top: unset;
	    align-self: self-end;
	}

	/* Set the buttons parent to 100% width when hovered over */
	[class^="textArea"] + [class^="buttons"]:hover {
		width: 100%;
	}
}
